trc_pkt_decode_base.h File Reference

OpenCSD : Trace Packet decoder base class. More...

`#include "trc_component.h"`
`#include "comp_attach_pt_t.h"`
`#include "interfaces/trc_pkt_in_i.h"`
`#include "interfaces/trc_gen_elem_in_i.h"`
`#include "interfaces/trc_tgt_mem_access_i.h"`
`#include "interfaces/trc_instr_decode_i.h"`
Include dependency graph for trc_pkt_decode_base.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TrcPktDecodeI
class | TrcPktDecodeBase< P, Pc >

## Detailed Description

OpenCSD : Trace Packet decoder base class.

Copyright
  Copyright (c) 2015, ARM Limited. All Rights Reserved.

Definition in file trc_pkt_decode_base.h.